# Changelog

## 3.22

- Fixed _Lugar_ Double to string conversion
- Improved _getCoord_ to reduce unnecesary coordinate conversion
- Fixed bug NaN Mean. The error was displayed in Mean once the course was downloaded when the distance traveled was 0.

## 3.21

- Added restart when the session is lost

## 3.20.1

- Added missing tilestore

## 3.20

- Ported to gradle
- Added new distribution system
- Fixed WindowsComboBoxUI noClass
- Added start.sh and .exe to improve performance

## 3.19

- Changed version for only two number in public releases
- Removed string in time zones

## 3.18.3

- Added new formula for average speed calculation
- Improved changelog

## 3.18.2

- Added new class TimeZones to load time zones
- Changed time zones names
- Changed time zones comboBox width to match parent 
  
## 3.18.1

- Changed authentication message
- Changed program name

## 3.18.0

- Added copy to clipboard summary
  
## 3.17.2

- Added new formula to calculate distance

## 3.17.1

- Fixed import kml coordinates when separator is tab
  
## 3.17

- New unified tool to import kmz and kml With a new customization tool that save the selection so that if we restart the app it open with this customization
- New hide button in waypoints tabs that hide the content of this tab in the map
- New personalize button in waypoints tabs that allow personalize the colors of the content of the tab This customization is saved, so that if we restart the app load with the new color
- Now Google Maps is the default map cartography
- Now the coordinates use  in all countries
- Fixed Basic Authentication Now only sended in login
- Align "Max heap" size on log
- Now work perfectly without Lugar

## 3.16.1

- Removed getLugar from PositionPath
- Added UserName to error log

## 3.16

- Fixed the panel that shows the zoom and the coordinates, it was displayed wrong when you imported a track
- Now when downloading the route, the distance traveled is shown (Only in the extended route)
- The Summary is only shown when requesting the extended tour
- Http and Https removed from the configuration settings, as well as the parameter in the settings xml
- Now the viewer works with https
- Now the viewer works with gzip In other words, in all requests it receives the compressed json and decompresses it
- Now it uses basic authentication, that is, it sends the username and password in the header
- From the settings you can change the refresh rate With a minimum of 1 for root and 4 for the rest Also, if you put it wrong, an error message pops up
- Formatted all settings on the left to follow the same design line
- Now with the right click you can get a link to google maps that takes you to the point you have selected
- Unified coordinate system Now take them all from Latitude and Longitude And also fixed the format according to the region of the pc
- Fixed zoom panel width and mouse coordinates
- Child windows now open on the screen where the main viewer is
